package nsdb;
final public class DatestampHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.Datestamp value;

	public DatestampHolder ()
	{
	}
	public DatestampHolder (nsdb.Datestamp initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return nsdb.DatestampHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = nsdb.DatestampHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		nsdb.DatestampHelper.write(_out,value);
	}
}
